Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 455524

Summary: segfaut in ipa_kpasswd
Product: [Retired] freeIPA Reporter: Simo Sorce <ssorce>
Component: ipa-serverAssignee: Simo Sorce <ssorce>
Status: CLOSED NEXTRELEASE QA Contact: Chandrasekar Kannan <ckannan>
Severity: low Docs Contact:
Priority: low    
Version: 1.1CC: benl
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-09-11 17:04:21 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 453489    

Description Simo Sorce 2008-07-15 21:06:06 UTC
Description of problem:
if getifaddrs() returns an interface with a NULL ifa_addr structure we segfault.

Comment 1 Simo Sorce 2008-07-15 21:06:56 UTC
Fixed.
commit 67f62709f83997945b69919cd744ce936ddf5596

Comment 2 Fedora Update System 2008-07-23 13:34:52 UTC
ipa-1.1.0-6.fc9 has been submitted as an update for Fedora 9

Comment 3 Fedora Update System 2008-09-11 17:04:18 UTC
ipa-1.1.0-6.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.